Skip to main content
Keep Your Business Open During COVID-19Learn More
Call us
Phone numbers and hours
Request a Call

Avoid the wait. Make a request and we will call you back

Request a Call
Help Center

Explore our online help resources

BlogHelp

WordPress Help

What is the Poynt for WooCommerce plugin?

Poynt — a GoDaddy Brand for WooCommerce (Poynt) is a payment gateway plugin that enables your US-based business to accept any major credit or debit card directly on your WooCommerce site. This provides your customers with a better shopping experience and lets you quickly and easily manage your online store.

How do I install Poynt?

Install the plugin through your WordPress site’s admin dashboard or download it from WordPress.org.

Your site must meet the following requirements:

  • Your store must be located in the United States
  • PHP 7.0+ (you can find this under WooCommerce > Status)
  • WordPress 5.2 or newer
  • WooCommerce 4.0 or newer

How do I set up and configure the plugin?

Once you’ve installed and activated the plugin, go to WooCommerce Settings > Payments > Payment methods > Credit Card and toggle Enable, then select Set up. Fill in the required fields. Existing Poynt merchants can follow the link under Connection Settings to retrieve their Application ID and Private Key. New merchants can follow the link to create a Poynt account.


Poynt settings in WooCoommerce
Poynt connection settings in WooCoommerce

Note: Creating an account with Poynt is required to take advantage of the features for this plugin. Learn more about Poynt.

Does this plugin support recurring / subscription payments?

Yes! This plugin supports tokenization, which is required for recurring payments created with WooCommerce Subscriptions.

How does this plugin support testing?

This plugin includes an Environment setting that you can use to switch between staging and production modes. This makes it easy for you to test the plugin without activating live payments. We recommend testing on a staging site and in the testing environment.

Will this plugin work with my site’s theme?

This plugin should work nicely with any WooCommerce compatible theme (such as Storefront), but some themes may require custom styling for a perfect fit. For assistance with theme customization, visit WooCommerce Codex.

Do I need to update the plugin?

Installing the plugin updates your site with the latest available version. In the future you'll need to update the plugin as new features and improvements become available. In the WordPress admin dashboard, choose to enable automatic updates for this plugin or update it manually.

Help! I’m having trouble with this plugin.

Check the following to make sure everything is set up correctly before posting a support request in the plugin forums:

  • Verify your site meets the plugin requirements.
  • Confirm that your Application ID and Private Key are correct.
  • Enable the Debug Mode setting (under WooCommerce > Settings > Payments > Poynt — a GoDaddy Brand for WooCommerce), process a test transaction, and review the error codes / messages provided by Poynt in the logs (displayed at checkout and/or under WooCommerce > Status > Logs). In some cases, such as a transaction being held for review or declined, the plugin cannot change the issue and it must be resolved in your Poynt account. If the error code indicates an issue with the plugin, contact our team on the forums.

Where can I get support, request new features, or report bugs?

If you didn’t find what you need in this article, get in touch with us through the plugin forums.